Bug 1119039 - [abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
Summary: [abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:add002282bd2dbbc6c7f1c16250...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-13 13:35 UTC by ramindeh
Modified: 2015-06-29 21:34 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:34:31 UTC


Attachments (Terms of Use)
File: dmesg (84.58 KB, text/plain)
2014-07-13 13:35 UTC, ramindeh
no flags Details
dmesg on 3.16.2 (108.62 KB, text/plain)
2014-09-13 18:52 UTC, Jacob Welsh
no flags Details

Description ramindeh 2014-07-13 13:35:28 UTC
Additional info:
reporter:       libreport-2.2.2
BUG: unable to handle kernel NULL pointer dereference at           (null)
IP: [<          (null)>]           (null)
PGD 0 
Oops: 0010 [#1] SMP 
Modules linked in: ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep vfat fat snd_hda_codec_hdmi x86_pkg_temp_thermal coretemp snd_hda_codec_realtek kvm_intel snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_seq arc4 ath9k ath9k_common ath9k_hw uvcvideo nfsd auth_rpcgss nfs_acl lockd ath kvm videobuf2_vmalloc videobuf2_memops videobuf2_core crct10dif_pclmul crc32_pclmul videodev crc32c_intel ghash_clmulni_intel joydev ath3k btusb bluetooth mac80211
cfg80211 snd_seq_device snd_pcm snd_timer microcode snd iTCO_wdt iTCO_vendor_support msi_wmi cdc_acm i2c_i801 sparse_keymap serio_raw media sunrpc rfkill lpc_ich mei_me mei binfmt_misc tpm_tis mfd_core soundcore shpchp tpm uas usb_storage hid_logitech_dj nouveau i915 ttm i2c_algo_bit drm_kms_helper drm alx mdio i2c_core mxm_wmi video wmi
CPU: 5 PID: 156 Comm: kworker/5:1 Not tainted 3.15.4-200.fc20.x86_64 #1
Hardware name: Micro-Star International Co., Ltd. GS70 2OD/MS-1771, BIOS E1771IMS.50E 12/03/2013
Workqueue: pm pm_runtime_work
task: ffff880221964520 ti: ffff88003f840000 task.ti: ffff88003f840000
RIP: 0010:[<0000000000000000>]  [<          (null)>]           (null)
RSP: 0018:ffff88003f843bf0  EFLAGS: 00010282
RAX: ffffffffa028a020 RBX: ffff880221d0a300 RCX: 00000000e0000000
RDX: ffffffffa027c9f0 RSI: 0000000000000001 RDI: ffff880221d0a300
RBP: ffff88003f843c10 R08: 00000000ffffffff R09: ffffffffa027c98d
R10: 0000000000000000 R11: 000000000000000f R12: 0000000000000001
R13: 0000000000000001 R14: ffff88003f9fb910 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff88022fb40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 0000000001c11000 CR4: 00000000001407e0
Stack:
ffffffffa01abe26 ffff88003f9fb900 ffff88003f9fb928 0000000000000001
ffff88003f843c60 ffffffffa01aa82a 0000000000002e44 000000010127c7f5
ffffffffa027c98d ffff880221d0a300 0000000000000001 ffffffffa027c7f5
Call Trace:
[<ffffffffa01abe26>] ? nouveau_object_dec+0x106/0x290 [nouveau]
[<ffffffffa01aa82a>] nouveau_handle_fini+0x1fa/0x2a0 [nouveau]
[<ffffffffa01a91e2>] nouveau_client_fini+0x62/0xb0 [nouveau]
[<ffffffffa022cda5>] nouveau_do_suspend+0x135/0x2b0 [nouveau]
[<ffffffffa022d961>] nouveau_pmops_runtime_suspend+0x61/0xf0 [nouveau]
[<ffffffff8138e481>] pci_pm_runtime_suspend+0x61/0x140
[<ffffffff81466af1>] __rpm_callback+0x31/0x80
[<ffffffff81466b64>] rpm_callback+0x24/0x80
[<ffffffff81466ce1>] rpm_suspend+0x121/0x630
[<ffffffff814682aa>] pm_runtime_work+0x7a/0xb0
[<ffffffff810a4b06>] process_one_work+0x176/0x430
[<ffffffff810a579b>] worker_thread+0x11b/0x3a0
[<ffffffff810a5680>] ? rescuer_thread+0x3b0/0x3b0
[<ffffffff810ac538>] kthread+0xd8/0xf0
[<ffffffff810ac460>] ? insert_kthread_work+0x40/0x40
[<ffffffff816ff23c>] ret_from_fork+0x7c/0xb0
[<ffffffff810ac460>] ? insert_kthread_work+0x40/0x40
Code:  Bad RIP value.
RIP  [<          (null)>]           (null)
RSP <ffff88003f843bf0>
CR2: 0000000000000000

Comment 1 ramindeh 2014-07-13 13:35:32 UTC
Created attachment 917620 [details]
File: dmesg

Comment 2 Jacob Welsh 2014-08-03 18:37:19 UTC
I'm having this crash too; it started when I upgraded to kernel 3.15.6 from 3.14.9, and is still happening on 3.15.8. It seems to happen within a few minutes of bootup, regardless of what's happening in X, even when just on the console.

This is a laptop with intel/nvidia hybrid graphics. The nvidia card has never been usable; I tried bumblebee last year, but as I recall it just crashed the system. Perhaps this same bug.

Adding modprobe.blacklist=nouveau to the kernel command line seems to have stopped the crashing (a blacklist file in modprobe.d didn't stop the module from loading), but now the laptop seems to be running hot; I suspect the nvidia card is powered up despite not being in use.

Comment 3 ramindeh 2014-08-03 20:25:57 UTC
What Jacob Welsh above describes is basically my scenario.

After I did that update I let it reboot, and it locked up during shutdown, so I was forced to press the reset-Button. This caused /dev/fedora-mapper/root to become corrupted. I booted the Laptop from a USB-stick to be able to fsck that filesystem, and the fsck screwed it, so I'm stuck booting from the USB-stick until I find a way to repair the boot filesystem :-(

If anybody could post a link to a HOWTO on repairing the boot-fs, that'd be great ...

Comment 4 Jacob Welsh 2014-09-13 18:52:36 UTC
Created attachment 937255 [details]
dmesg on 3.16.2

Still happening on 3.16.2, though with slightly different error messages. Here's a dmesg I captured in between lockups. Nouveau wizards, any other way I can help?

Comment 5 Fedora End Of Life 2015-05-29 12:21:34 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Jacob Welsh 2015-05-29 19:17:44 UTC
Still happening with kernel-3.19.8-100.fc20.x86_64. I'll try Fedora 22 live media as soon as I can. If that doesn't work, I'll have no upgrade path when F20 goes EOL.

Comment 7 Jacob Welsh 2015-05-31 00:53:40 UTC
Still happening on F22 (kernel 4.0.4-301.fc22.x86_64, xorg-x11-drv-nouveau 1.0.11-2.fc22). Fortunately, blacklisting nouveau seems to be keeping things stable.

Comment 8 Fedora End Of Life 2015-06-29 21:34:31 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.